---
title: SpeechRecognitionEvent.interpretation
slug: Web/API/SpeechRecognitionEvent/interpretation
tags:
  - API
  - Experimental
  - Property
  - Reference
  - SpeechRecognitionEvent
  - Web Speech API
  - interpretation
  - recognition
  - speech
---
<div>{{APIRef("Web Speech API")}}{{obsolete_header}}</div>

<p>The <code><strong>interpretation</strong></code> read-only property of the {{domxref("SpeechRecognitionEvent")}} interface returns the semantic meaning of what the user said.</p>

<p>This might be determined, for instance, through the SISR specification of semantics in a grammar (see <a href="http://www.w3.org/TR/semantic-interpretation/">Semantic Interpretation for Speech Recognition (SISR) Version 1.0</a> for specification and examples.)</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var myInterpretation = event.interpretation;
</pre>

<h3 id="Value">Value</h3>

<p>The returned value can be of any type. If no semantic interpretation has been returned by the speec recognition system, <code>null</code> will be returned.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">recognition.onresult = function(event) {
  var color = event.results[0][0].transcript;
  diagnostic.textContent = 'Result received: ' + color + '.';
  bg.style.backgroundColor = color;
  console.log(event.interpretation);
}</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SpeechRecognitionEvent.interpretation")}}</p>

<h3 id="Firefox_OS_permissions">Firefox OS permissions</h3>

<p>To use speech recognition in an app, you need to specify the following permissions in your <a href="/en-US/docs/Web/Apps/Build/Manifest">manifest</a>:</p>

<pre class="brush: json">"permissions": {
  "audio-capture" : {
    "description" : "Audio capture"
  },
  "speech-recognition" : {
    "description" : "Speech recognition"
  }
}</pre>

<p>You also need a privileged app, so you need to include this as well:</p>

<pre class="brush: json">  "type": "privileged"</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
